
#language: ru

@SalesOfProducts

Функционал: 010. SalesOfProducts. Проверка контроля остатков для заказа клиента

Сценарий: 010.1. SalesOfProducts. Проверка контроля остатков для заказа клиента - количество в заказе, имеющем план отгрузки, не может уменьшаться

	Дано Я подключаюсь под "Создание заказов клиентов"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.010. Реализация товаров"
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                      |
		| 'Заказ Обычного покупателя для реализации вручную' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от * [Создан]'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   |
		| 'Сыр Адыгейский' |
	И в таблице "Товары" в поле 'Подтвержденный - Заказ клиента' я ввожу текст '8,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку с именем 'OK'
	Тогда открылось окно 'Заказ клиента * от * [Создан] *'
	Тогда в логе сообщений TestClient есть строка по шаблону "*Превышен остаток на складе Сырная ГП для Заказ клиента * от 13.10.2019 [Создан] на 2 кг.*"
	И Я закрываю окно 'Заказ клиента * от * [Создан] *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 010.2. Завершение

	И я закрываю сеанс TESTCLIENT